Bug 1281956 - [abrt] gqrx: boost::checked_delete<gr::hier_block2>(): gqrx killed by SIGSEGV
[abrt] gqrx: boost::checked_delete<gr::hier_block2>(): gqrx killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gqrx (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dave Olsthoorn
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:e22691584640f72214dd50d22f2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 17:03 EST by madstitz
Modified: 2016-12-20 10:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 10:52:12 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (25.01 KB, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: core_backtrace (5.21 KB, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: dso_list (16.87 KB, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: environ (1.50 KB, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: exploitable (100 bytes, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: maps (84.74 KB, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: mountinfo (4.52 KB, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: open_fds (727 bytes, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-11-13 17:03 EST, madstitz
no flags Details
File: var_log_messages (286 bytes, text/plain)
2015-11-13 17:04 EST, madstitz
no flags Details

  None (edit)
Description madstitz 2015-11-13 17:03:40 EST
Version-Release number of selected component:
gqrx-2.3.2-12.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        gqrx
crash_function: boost::checked_delete<gr::hier_block2>
executable:     /usr/bin/gqrx
global_pid:     26538
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 boost::checked_delete<gr::hier_block2> at /usr/include/boost/core/checked_delete.hpp:34
 #1 boost::detail::sp_counted_impl_p<gr::hier_block2>::dispose at /usr/include/boost/smart_ptr/detail/sp_counted_impl.hpp:78
 #2 boost::detail::sp_counted_base::release at /usr/include/boost/smart_ptr/detail/sp_counted_base_gcc_x86.hpp:146
 #3 boost::detail::shared_count::~shared_count at /usr/include/boost/smart_ptr/detail/shared_count.hpp:443
 #4 boost::shared_ptr<gr::basic_block>::~shared_ptr at /usr/include/boost/smart_ptr/shared_ptr.hpp:323
 #5 std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> >::~pair at /usr/include/c++/5.1.1/bits/stl_pair.h:96
 #6 __gnu_cxx::new_allocator<std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> > >::destroy at /usr/include/c++/5.1.1/ext/new_allocator.h:133
 #7 std::_Rb_tree<gr::basic_block*, std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> >, std::_Select1st<std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> > >, std::less<gr::basic_block*>, std::allocator<std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> > > >::_M_destroy_node at /usr/include/c++/5.1.1/bits/stl_tree.h:520
 #8 std::_Rb_tree<gr::basic_block*, std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> >, std::_Select1st<std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> > >, std::less<gr::basic_block*>, std::allocator<std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> > > >::_M_drop_node at /usr/include/c++/5.1.1/bits/stl_tree.h:561
 #9 std::_Rb_tree<gr::basic_block*, std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> >, std::_Select1st<std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> > >, std::less<gr::basic_block*>, std::allocator<std::pair<gr::basic_block* const, boost::shared_ptr<gr::basic_block> > > >::_M_erase at /usr/include/c++/5.1.1/bits/stl_tree.h:1614
Comment 1 madstitz 2015-11-13 17:03:44 EST
Created attachment 1093888 [details]
File: backtrace
Comment 2 madstitz 2015-11-13 17:03:45 EST
Created attachment 1093889 [details]
File: cgroup
Comment 3 madstitz 2015-11-13 17:03:47 EST
Created attachment 1093890 [details]
File: core_backtrace
Comment 4 madstitz 2015-11-13 17:03:48 EST
Created attachment 1093892 [details]
File: dso_list
Comment 5 madstitz 2015-11-13 17:03:50 EST
Created attachment 1093894 [details]
File: environ
Comment 6 madstitz 2015-11-13 17:03:51 EST
Created attachment 1093896 [details]
File: exploitable
Comment 7 madstitz 2015-11-13 17:03:52 EST
Created attachment 1093898 [details]
File: limits
Comment 8 madstitz 2015-11-13 17:03:55 EST
Created attachment 1093900 [details]
File: maps
Comment 9 madstitz 2015-11-13 17:03:56 EST
Created attachment 1093902 [details]
File: mountinfo
Comment 10 madstitz 2015-11-13 17:03:58 EST
Created attachment 1093904 [details]
File: open_fds
Comment 11 madstitz 2015-11-13 17:03:59 EST
Created attachment 1093906 [details]
File: proc_pid_status
Comment 12 madstitz 2015-11-13 17:04:00 EST
Created attachment 1093908 [details]
File: var_log_messages
Comment 13 Dave Olsthoorn 2016-05-19 12:25:01 EDT
Is this still an issue with the new version?
Comment 14 madstitz 2016-05-30 08:06:37 EDT
sorry, can't verify, as I don't have access to the hardware (DVB-T stick) anymore.
Comment 15 Fedora End Of Life 2016-11-24 08:24:08 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2016-12-20 10:52:12 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.